/***************************************************************************
                          helpabout.h
                             -------------------
    begin                : Sat May 12 2001
    copyright            : (C) 2001 by Andrew Bibb
    source               : http://lx-viewer.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, version 2 of the License, or any later  *
 *   version.                                                              *
 *                                                                         *
 ***************************************************************************/

//	Class to find and show the help manual

#ifndef HELPABOUT_H
#define HELPABOUT_H

/* Qt includes */
#include <qstring.h>
#include <qtextbrowser.h>
#include <qwidget.h>
#include <qfileinfo.h>

/* LX includes */
#include "resource.h"
#include "utilities.h"

/* OD includes */
#include "ad2.h"

class HelpWindow : public QTextBrowser		/* Class to display the help manual */

{
 	Q_OBJECT

	public:
		HelpWindow (QWidget* parent = 0, const char* name = 0);
		QString getPath();

	private:
		QString pathtomanfiles;
};	

#endif
