/***************************************************************************
                          infomessage.h
                             -------------------
    begin                : Mon Jul 23 2001
    copyright            : (C) 2001 by Andrew Bibb
    email                : buyer242299@aol.com
    source               : http://lx-viewer.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, version 2 of the License, or any later  *
 *   version.                                                              *
 *                                                                         *
 ***************************************************************************/

/* location of information message keys */

#ifndef INFOMESSAGE_H
#define INFOMESSAGE_H

/* Qt includes */
#include <qstring.h>          // provides an abstraction of Unicode text
#include <qmessagebox.h>      // modal dialog with short message, icon + buttons

/* LX includes */
#include "resource.h"

/* OD includes */
#include "ad2.h"

void DisplayMessage(int keynumber, int caption = CAPTION_WARNING,QMessageBox::Icon icon = QMessageBox::Warning,QString custommessage = "");
QString	GetResourceString(const int&);	/* Function that will display a message box */

#endif
