/***************************************************************************
                          splashapp.h  -  description
                             -------------------
    begin                : Mon Sep 9 2002
    copyright            : (C) 2002 by Andrew Bibb
    email                : buyer242299@aol.com
    source		 : http://lx-viewer.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, version 2 of the License, or any later  *
 *   version.                                                              *
 *                                                                         *
 ***************************************************************************/

/* 	This is a custom qApplication class that supports a splash screen
	It is modeled very heavily on the similar class in QT-Designer	*/

#ifndef SPLASHAPP_H	
#define SPLASHAPP_H
#include <qapplication.h>

class QLabel;

class SplashApplication : public QApplication
{
	public:
		const char* className() const {return "Splash Application";}
    SplashApplication (int& argc, char **argv);
		
		QLabel*	showSplash();
		static void closeSplash();	
};

#endif
