/***************************************************************************
                          utilities.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by Andrew Bibb
    source               : http://lx-viewer.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, version 2 of the License, or any later  *
 *   version.                                                              *
 *                                                                         *
 ***************************************************************************/

/* Utility functions, mostly conversions from one type to another */

#ifndef UTILITY_H
#define UTILITY_H

// QT includes
#include <qstring.h>
#include <qapplication.h>
#include <qdir.h>
#include <qfileinfo.h>

// C++ includes
#include "stdlib.h"


//Qt to OD and C++ conversion functions
QString PathToExec();											// function that will return the absolute path to the executable
double ArchToDouble(const QString&);			// function to return a double from a architectural format text
QString DoubleToArch(const double&, const int &);	// function to return an architectural string from a double
bool isBitSet(unsigned char, short);			// function that will test if a specific bit is set

#endif
